National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2015-4512 Detail

Current Description

gfx/2d/DataSurfaceHelpers.cpp in Mozilla Firefox before 41.0 on Linux improperly attempts to use the Cairo library with 32-bit color-depth surface creation followed by 16-bit color-depth surface display, which allows remote attackers to obtain sensitive information from process memory or cause a denial of service (out-of-bounds read) by using a CANVAS element to trigger 2D rendering.

Source:  MITRE
View Analysis Description

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 6.4 MEDIUM
Vector: (AV:N/AC:L/Au:N/C:P/I:N/A:P) (V2 legend)
Impact Subscore: 4.9
Exploitability Subscore: 10.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): None
Confidentiality (C): Partial
Integrity (I): None
Availability (A): Partial
Additional Information:
Allows unauthorized disclosure of information
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://lists.opensuse.org/opensuse-security-announce/2015-10/msg00000.html
http://lists.opensuse.org/opensuse-security-announce/2015-10/msg00005.html
http://www.mozilla.org/security/announce/2015/mfsa2015-107.html Vendor Advisory
http://www.oracle.com/technetwork/topics/security/bulletinapr2016-2952098.html
http://www.securityfocus.com/bid/76815
http://www.securitytracker.com/id/1033640
http://www.ubuntu.com/usn/USN-2743-1
http://www.ubuntu.com/usn/USN-2743-2
http://www.ubuntu.com/usn/USN-2743-3
http://www.ubuntu.com/usn/USN-2743-4
https://bugzilla.mozilla.org/show_bug.cgi?id=1170390

Technical Details

Vulnerability Type (View All)

  • Improper Restriction of Operations within the Bounds of a Memory Buffer (CWE-119)

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:mozilla:firefox:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (including)
40.0.3
Running on/with
 cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*
     Show Matching CPE(s)


Change History

6 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2015-4512
NVD Published Date:
09/24/2015
NVD Last Modified:
12/21/2016